<?xml version="1.0" encoding="utf-8"?>
<layout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto">

    <data>

    </data>

    <androidx.constraintlayout.widget.ConstraintLayout
        android:layout_width="match_parent"
        android:layout_height="match_parent"
        android:background="@color/transparent">

        <androidx.cardview.widget.CardView
            android:layout_width="800dp"
            android:layout_height="300dp"
            android:layout_margin="100dp"
            app:cardCornerRadius="10dp"
            app:cardElevation="40dp"
            app:layout_constraintBottom_toBottomOf="parent"
            app:layout_constraintEnd_toEndOf="parent"
            app:layout_constraintStart_toStartOf="parent"
            app:layout_constraintTop_toTopOf="parent"
            app:layout_constraintVertical_bias="0.3">

            <androidx.constraintlayout.widget.ConstraintLayout
                android:layout_width="match_parent"
                android:layout_height="match_parent">

                <androidx.constraintlayout.widget.ConstraintLayout
                    android:id="@+id/constraintLayout7"
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    app:layout_constraintTop_toTopOf="parent">

                    <ImageView
                        android:id="@+id/iv_dialog_close"
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:padding="30dp"
                        android:src="@mipmap/cancel"
                        app:layout_constraintEnd_toEndOf="parent"
                        app:layout_constraintTop_toTopOf="parent" />

                    <View
                        android:layout_width="10dp"
                        android:layout_height="40dp"
                        android:layout_marginTop="30dp"
                        android:background="#00A1FF"
                        app:layout_constraintStart_toStartOf="parent"
                        app:layout_constraintTop_toTopOf="parent" />

                    <TextView
                        android:id="@+id/tv_title"
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:layout_gravity="start"
                        android:layout_margin="30dp"
                        android:text="@string/floor"
                        android:textColor="#38ADFF"
                        app:layout_constraintStart_toStartOf="parent"
                        app:layout_constraintTop_toTopOf="parent" />

                </androidx.constraintlayout.widget.ConstraintLayout>

                <FrameLayout
                    android:id="@+id/frameLayout"
                    android:layout_width="730dp"
                    android:layout_height="wrap_content"
                    app:layout_constraintBottom_toBottomOf="parent"
                    app:layout_constraintEnd_toEndOf="parent"
                    app:layout_constraintStart_toStartOf="parent"
                    app:layout_constraintTop_toTopOf="parent">

                    <com.google.android.material.slider.RangeSlider
                        android:id="@+id/rs"
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content"
                        android:layout_marginHorizontal="25dp"
                        android:elevation="10dp"
                        android:stepSize="1"
                        android:valueFrom="0"
                        android:valueTo="5"
                        app:labelBehavior="gone" />

                    <androidx.cardview.widget.CardView
                        android:layout_width="700dp"
                        android:layout_height="50dp"
                        android:layout_margin="15dp"
                        app:cardCornerRadius="25dp">

                        <LinearLayout
                            android:id="@+id/linearLayout"
                            android:layout_width="match_parent"
                            android:layout_height="match_parent"
                            android:background="#F1F5F6"
                            android:orientation="horizontal">

                            <ImageView
                                android:id="@+id/floor_close"
                                android:layout_width="0dp"
                                android:layout_height="match_parent"
                                android:layout_gravity="center_horizontal"
                                android:layout_weight="1"
                                android:scaleType="centerInside"
                                android:src="@mipmap/floor_0" />

                            <ImageView
                                android:id="@+id/floor_gear_1"
                                android:layout_width="0dp"
                                android:layout_height="match_parent"
                                android:layout_gravity="center_horizontal"
                                android:layout_weight="1"
                                android:scaleType="centerInside"
                                android:src="@mipmap/floor_1" />

                            <ImageView
                                android:id="@+id/floor_gear_2"
                                android:layout_width="0dp"
                                android:layout_height="match_parent"
                                android:layout_gravity="center_horizontal"
                                android:layout_weight="1"
                                android:scaleType="centerInside"
                                android:src="@mipmap/floor_2" />

                            <ImageView
                                android:id="@+id/floor_gear_3"
                                android:layout_width="0dp"
                                android:layout_height="match_parent"
                                android:layout_gravity="center_horizontal"
                                android:layout_weight="1"
                                android:scaleType="centerInside"
                                android:src="@mipmap/floor_3" />

                            <ImageView
                                android:id="@+id/floor_gear_4"
                                android:layout_width="0dp"
                                android:layout_height="match_parent"
                                android:layout_gravity="center_horizontal"
                                android:layout_weight="1"
                                android:scaleType="centerInside"
                                android:src="@mipmap/floor_4" />

                            <ImageView
                                android:id="@+id/floor_gear_5"
                                android:layout_width="0dp"
                                android:layout_height="match_parent"
                                android:layout_gravity="center_horizontal"
                                android:layout_weight="1"
                                android:scaleType="centerInside"
                                android:src="@mipmap/floor_5" />

                        </LinearLayout>
                    </androidx.cardview.widget.CardView>

                    <LinearLayout
                        android:id="@+id/ll"
                        android:layout_width="match_parent"
                        android:layout_height="80dp"
                        android:elevation="10dp"
                        android:orientation="horizontal"
                        android:paddingHorizontal="15dp"
                        android:visibility="gone">

                        <ImageView
                            android:id="@+id/iv_floor_0"
                            android:layout_width="0dp"
                            android:layout_height="match_parent"
                            android:layout_gravity="center_horizontal"
                            android:layout_weight="1"
                            android:scaleType="centerInside"
                            android:src="@mipmap/sel_floor_0" />

                        <ImageView
                            android:id="@+id/iv_floor_1"
                            android:layout_width="0dp"
                            android:layout_height="match_parent"
                            android:layout_gravity="center_horizontal"
                            android:layout_weight="1"
                            android:scaleType="centerInside"
                            android:src="@mipmap/sel_floor_1" />

                        <ImageView
                            android:id="@+id/iv_floor_2"
                            android:layout_width="0dp"
                            android:layout_height="match_parent"
                            android:layout_gravity="center_horizontal"
                            android:layout_weight="1"
                            android:scaleType="centerInside"
                            android:src="@mipmap/sel_floor_2" />

                        <ImageView
                            android:id="@+id/iv_floor_3"
                            android:layout_width="0dp"
                            android:layout_height="match_parent"
                            android:layout_gravity="center_horizontal"
                            android:layout_weight="1"
                            android:scaleType="centerInside"
                            android:src="@mipmap/sel_floor_3" />

                        <ImageView
                            android:id="@+id/iv_floor_4"
                            android:layout_width="0dp"
                            android:layout_height="match_parent"
                            android:layout_gravity="center_horizontal"
                            android:layout_weight="1"
                            android:scaleType="centerInside"
                            android:src="@mipmap/sel_floor_4" />

                        <ImageView
                            android:id="@+id/iv_floor_5"
                            android:layout_width="0dp"
                            android:layout_height="match_parent"
                            android:layout_gravity="center_horizontal"
                            android:layout_weight="1"
                            android:scaleType="centerInside"
                            android:src="@mipmap/sel_floor_5" />

                    </LinearLayout>
                </FrameLayout>

                <LinearLayout
                    android:layout_width="730dp"
                    android:layout_height="80dp"
                    android:elevation="10dp"
                    android:orientation="horizontal"
                    android:paddingHorizontal="15dp"
                    app:layout_constraintEnd_toEndOf="@+id/frameLayout"
                    app:layout_constraintStart_toStartOf="@+id/frameLayout"
                    app:layout_constraintTop_toBottomOf="@+id/frameLayout">

                    <TextView
                        android:id="@+id/tv_floor_0"
                        android:layout_width="0dp"
                        android:layout_height="wrap_content"
                        android:layout_weight="1"
                        android:gravity="center"
                        android:text="关闭" />

                    <TextView
                        android:id="@+id/tv_floor_1"
                        android:layout_width="0dp"
                        android:layout_height="wrap_content"
                        android:layout_weight="1"
                        android:gravity="center"
                        android:text="@string/gear_first" />

                    <TextView
                        android:id="@+id/tv_floor_2"
                        android:layout_width="0dp"
                        android:layout_height="wrap_content"
                        android:layout_weight="1"
                        android:gravity="center"
                        android:text="@string/gear_second" />

                    <TextView
                        android:id="@+id/tv_floor_3"
                        android:layout_width="0dp"
                        android:layout_height="wrap_content"
                        android:layout_weight="1"
                        android:gravity="center"
                        android:text="@string/gear_third" />

                    <TextView
                        android:id="@+id/tv_floor_4"
                        android:layout_width="0dp"
                        android:layout_height="wrap_content"
                        android:layout_weight="1"
                        android:gravity="center"
                        android:text="@string/gear_fourth" />

                    <TextView
                        android:id="@+id/tv_floor_5"
                        android:layout_width="0dp"
                        android:layout_height="wrap_content"
                        android:layout_weight="1"
                        android:gravity="center"
                        android:text="@string/gear_fifth" />

                </LinearLayout>

            </androidx.constraintlayout.widget.ConstraintLayout>

        </androidx.cardview.widget.CardView>
    </androidx.constraintlayout.widget.ConstraintLayout>
</layout>